Bug 489713 - System snapshot documentation implies more than we support, and we should be more clear on the issue
System snapshot documentation implies more than we support, and we should be ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Documentation (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: John Ha
Martin Minar
http://www.redhat.com/docs/manuals/sa...
Fixed in the 5.4.0 Release - GA'd 201...
: Documentation
Depends On:
Blocks: sat540-docs
  Show dependency treegraph
 
Reported: 2009-03-11 11:00 EDT by wes hayutin
Modified: 2016-07-03 20:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 10:56:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-03-11 11:00:02 EDT
Description of problem:

http://www.redhat.com/docs/manuals/satellite/Red_Hat_Network_Satellite-5.2.0/html/Reference_Guide/s2-sm-system-list.html

6.4.2.9.4. System Details ⇒ Provisioning —

This tab and its subtabs allow you to schedule and monitor kickstarts and to return your system to a previous state. Kickstart is a Red Hat utility that allows you to automate the reinstallation of a system. Snapshots keep a record of every change to a Provisioning system and allow you to "undo" those changes at will. Both features are described in the sections that follow. 

I am particularly concerned about "Snapshots keep a record of every change to a Provisioning system and allow you to "undo" those changes at will. "

The truth is we actually offer only a very limited range for rollback.  We should probably add a statement something like

"Snapshot rollbacks offer a limited ability to "undo" changes to the system. Your results when rolling back rpm software packages may vary. Rolling back a set of rpm's should be expected to work, however rolling back across update levels is not supported."

Obviously the language here should change, but we need to make it more clear to the customer what exactly we support regarding snapshot rollbacks
Comment 1 Brandon Perkins 2009-03-17 11:41:19 EDT
Unfortunately, we're past the Doc freeze for sat530.  This should be a must for the next release.
Comment 3 John Ha 2010-08-05 13:07:51 EDT
Changed text to the following:

 This tab and its subtabs allow you to schedule and monitor kickstarts and to
 return your system to a previous state. Kickstart is a Red Hat utility that
 allows you to automate the reinstallation of a system. Snapshot roll backs
 provide the ability to revert certain changes to the system. For example,
 you can roll back a set of RPM packages, but rolling back across multiple
 update levels is not supported. Both features are described in the sections
 that follow.

Built in the latest version (5.4) draft on docs stage here:

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.4/html/Reference_Guide/s1-sm-systems.html#s4-sm-system-details-kick
Comment 6 Clifford Perry 2010-10-28 10:56:38 EDT
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.